[nodebb-plugin-friends] Friends plugin seems not to be working



  • Hello!

    I have installed the nodebb-plugin-friends and nodebb-plugin-write-api. I saw a friends in the dropdown from the burger icon in user profile,

    friends1.png

    but when I clicked this, its giving me an internal error and the route was in

    http://localhost:4567/user/:uid/friends
    

    friends2real.png

    All I did was install both of the plugins. Do I need to configure something in the write-api plugin dashboard for this to work? Can you help me with what I'm missing out?

    Appreciate your help. Thank you very much!



  • Seems like the friends plugin needs to be updated to support latest nodebb. I will take a look.



  • Updated plugin to work with nodebb 1.11.0 and up.



  • @baris Thank you so much for your response.

    I tried to your suggestion: Nodebb is now in version 1.11.2 and friends plugin is in 1.2.0

    It's returning me a different error now which is "Page does not exist" when I went to

    http://localhost:4567/user/:uid/friends
    

    lalalalala.png

    Do I need to set another page for this route?

    Thanks again for the help.



  • If you did a restart and rebuild that should be it.



  • @baris I did your suggestion. Still not working.
    Here's a screencast when I tried to rebuild and restart the forum: https://bit.ly/2LESyKU

    Thank you for your help



  • Do you see the plugin as active and installed in the ACP? Can you also start nodebb with ./nodebb dev and share the output.

    Thanks.



  • @baris
    The plugin is active and installed in ACP, also tried to run it in ./nodebb dev.
    Kindly review: https://bit.ly/2Zjesqv
    Thanks so much



  • Seems like there is an error at startup. What other plugins do you have active? Try friends plugin without other custom plugins and see if it works.



  • Also you don't have to be on 1.11.2, I am testing it on latest nodebb and it's working fine.



  • Hello @baris ,

    Tried out your suggestion of starting nodebb from scratch (with default plugins installed) and downgraded nodebb from 1.11.2 to 1.11.0 then use nodebb-plugin-friends, unfortunately, it still isn't working. Recorded a screenshot trying this process, kindly check here: https://bit.ly/304bBC5

    I executed ./nodebb-dev and it gave me an error upon start (image below), could this be the reason why it isn't working?
    friends-error.png

    Thanks again for your help!



  • Does it work on latest master and nodebb-plugin-friends 1.2.0?



  • @baris I'm on nodebb-plugin-friends 1.2.0, latest master and unfortunately, it doesn't 😞


Log in to reply
 

Suggested Topics

| |